package com.amqp.shanxi.dao;

import com.amqp.shanxi.model.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
public interface DeviceStaticDataInfoDao {

    @Select("SELECT id AS equipno, name AS equipname FROM tab_sensor WHERE mark = '干滩2'")
    List<GantanDeviceInfoModel> findGantanDeviceInfo();


    @Select("SELECT id AS equipno, name AS equipname FROM tab_sensor WHERE mark = '库水位'")
    List<KushuiweiDeviceInfoModel> findKushuiweiDeviceInfo();


    @Select("SELECT id AS equipno, name AS equipname FROM tab_sensor WHERE mark = '坝体表面位移'")
    List<BiaomianweiyiDeviceInfoModel> findBiaomianweiyiDeviceInfo();


    @Select("SELECT id AS equipno, name AS equipname FROM tab_sensor WHERE mark = '浸润线'")
    List<JinrunxianDeviceInfoModel> findJinrunxianDeviceInfo();


    @Select("SELECT id AS equipno, name AS equipname FROM tab_sensor WHERE mark = '雨量计'")
    List<JinrunxianDeviceInfoModel> findJiangyuliangDeviceInfo();

    @Select("SELECT id AS equipno, name AS equipname FROM tab_sensor WHERE mark = '坝体内部水平位移' or mark = '坝体内部沉降'")
    List<NeibuweiyiDeviceInfoModel> findNeibuweiyiDeviceInfo();

    @Select("SELECT tailingno, tailingname, unifcreditcode, address, unitname, unitaddress, industrycharacterno, unitperson, unitpersontel, securityofficer, securityofficertel, ondutytel, longitude, latitude, usedate, useyear, operatingstatus, industrytypeno, mineralspecies, top, onlinemonitoringsys, geologicalstructure, topotraphicgradient, standardizationlevel, standardforensicsdate, safetypermitno, safetypermitdate, safetypermitunit, storetypeno, designlevel, grade, designheight, stackheight, plancapability, nowvolume, damstocktypeno, floodequipment, floodmethod, floodfacilitydischarge, waterarea, area, floodcontrolstandard, damtype, initialdamtype, designinitialdamheight, currentinitialdamheight, initialdamlongness, initialdamsloperatio, accumulationdamratio, designsubdamheighta, designsubdamtopwidth, accumulateddamsnumber, earthquake, tailingsstoragemethod, minelaytypeno, upstreamtailings, drystorage, drystoragewaterratio, tailingsparticlesize, tailingsaveparticlesize, depositiondrybeachslope, personnum, buildingnum, emergencyplanfiled, primarysafetyunit, primarysafetylevel, designunit, designunitlevel, constructionunit, constructionlevel, supervisoryunit, supervisorylevel, safetycheckunit, safetychecklevel, safetyacceptancetime, safetyevaluationunit, safetyevaluationlevel, filingperson, filingdate, fillerphone, note, in_use, is_sync, id"+
            " FROM tab_wkk_info")
    List<WkkBasicInfoModel> findWkkBasicInfo();
}
